ข้ามไปยังเนื้อหา

Tripo P2 Text to 3D

ผสานการทำงาน

ID โมเดล tripo3d/p2/text-to-3d
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.com/v1/run/tripo3d/p2/text-to-3d?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field"
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.com/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

ไฟล์เช่นเดียวกับตัวอย่าง: $1.10 1,100 เครดิต API ไฟล์ของคุณจะถูกวัดก่อนเรียกใช้ เรียกใช้ในหน้านี้

รับคีย์ API
Tripo ข้อความเป็น 3D #3d#text-to-3d#3d-generation#low-poly

สร้าง 3D จากข้อความพร้อม PBR, เมชแบบควอด, เวอร์ชันเท็กซ์เจอร์ที่เลือกได้ และพรอมต์เชิงลบ ซึ่งเป็นเวอร์ชันข้อความของ P2

Tripo · 3D

ผลลัพธ์แรกของคุณจะแสดงที่นี่

สร้างคำขอด้านล่างและเรียกใช้ด้วยคีย์ API ของคุณ เอาต์พุตจะถูกคัดลอกไปยังพื้นที่จัดเก็บของเรา และเก็บไว้ตลอดไปหรือฟรี 7 วัน

สร้างคำขอ

ตัวควบคุมสร้างจากสคีมาของโมเดล โค้ดและราคาจะอัปเดตเมื่อคุณเปลี่ยนค่า

•จำเป็น 88 / 1024

คำอธิบายข้อความของวัตถุ 3D ที่ต้องการ จำกัดไม่เกิน 1024 อักขระ

texture_quality ค่าเริ่มต้น standard

การตั้งค่าคุณภาพของเท็กซ์เจอร์

ขั้นสูง negative_prompt · texture_version · export_orientation · face_limit · image_seed · model_seed · texture_seed · delight · auto_size · export_uv · quad · enable_safety_checker
0 / 255

คำอธิบายคุณลักษณะที่ควรตัดออกจากโมเดลที่สร้าง

texture_version

เวอร์ชันที่ใช้สร้างโมเดลเท็กซ์เจอร์ สำหรับคุณภาพแบบเร็ว ให้เลือก v3.5-20260815 เวอร์ชันอื่นไม่รองรับคุณภาพนี้

export_orientation

การตั้งค่าแกนเดินหน้าสำหรับการส่งออกโมเดล หากระบุ

ขีดจำกัดสูงสุดของจำนวนหน้าเมช โดยมีขีดจำกัดแยกที่ 25,000 สำหรับโทโพโลยีแบบควอด

Seed ที่ใช้ในขั้นตอน text-to-image ภายใน

Seed ที่ใช้ทำให้การสร้างเรขาคณิตทำซ้ำได้ผลลัพธ์เดิม

Seed ที่ใช้ทำให้การสร้างพื้นผิวทำซ้ำได้ผลลัพธ์เดิม

POST /run/tripo3d/p2/text-to-3d?wait=20 ใบเสนอราคา → $1.10
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.com/v1/run/tripo3d/p2/text-to-3d?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field"
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.com/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

เรียกใช้คำขอนี้

คีย์ของคุณจะอยู่ในเบราว์เซอร์นี้ โดยส่งไปยัง Doitong API เท่านั้น และจะบันทึกใน localStorage ก็ต่อเมื่อคุณเลือกจดจำ รับคีย์ API

เกี่ยวกับ Tripo P2 Text to 3D

สร้างโมเดล 3D จากพรอมต์ความยาวไม่เกิน 1024 ตัวอักษร พร้อม `negative_prompt` ความยาวไม่เกิน 255 ตัวอักษร เมชมีได้สูงสุด 50,000 หน้า หรือ 25,000 หน้าเมื่อเปิดใช้ `quad` คุณภาพเท็กซ์เจอร์มีตั้งแต่ fast ถึง extreme พร้อมเลือก `texture_version` ได้ และรองรับ PBR การลบแสง และการส่งออก UV ซีดพร้อมใช้งานสำหรับขั้นตอนรูปภาพ เรขาคณิต และเท็กซ์เจอร์

พารามิเตอร์

ชื่อประเภท ค่าเริ่มต้นค่าที่อนุญาต คำอธิบาย
promptจำเป็น
ประเภทstring
≤ 1,024 อักขระ
คำอธิบายข้อความของวัตถุ 3D ที่ต้องการ จำกัดไม่เกิน 1024 อักขระ
negative_promptไม่บังคับ
ประเภทstring | null
≤ 255 อักขระ
คำอธิบายคุณลักษณะที่ควรตัดออกจากโมเดลที่สร้าง
image_seedไม่บังคับ
ประเภทinteger | null
Seed ที่ใช้ในขั้นตอน text-to-image ภายใน
model_seedไม่บังคับ
ประเภทinteger | null
Seed ที่ใช้ทำให้การสร้างเรขาคณิตทำซ้ำได้ผลลัพธ์เดิม
face_limitไม่บังคับ
ประเภทinteger | null
48 – 50,000
ขีดจำกัดสูงสุดของจำนวนหน้าเมช โดยมีขีดจำกัดแยกที่ 25,000 สำหรับโทโพโลยีแบบควอด
textureไม่บังคับ
ประเภทboolean
ค่าเริ่มต้นtrue
ควบคุมว่าโมเดลจะได้รับพื้นผิวที่สร้างขึ้นหรือไม่
pbrไม่บังคับ
ประเภทboolean
ค่าเริ่มต้นtrue
ควบคุมการสร้างแผนที่วัสดุ PBR การเปิด PBR จะเปิดใช้เท็กซ์เจอร์ด้วย
texture_seedไม่บังคับ
ประเภทinteger | null
Seed ที่ใช้ทำให้การสร้างพื้นผิวทำซ้ำได้ผลลัพธ์เดิม
texture_qualityไม่บังคับ
ประเภทenum
ค่าเริ่มต้นstandard
faststandarddetailedextreme
การตั้งค่าคุณภาพของเท็กซ์เจอร์
texture_versionไม่บังคับ
ประเภทenum
v3.5-20260815v3.0-20250812v2.5-20250123
เวอร์ชันที่ใช้สร้างโมเดลเท็กซ์เจอร์ สำหรับคุณภาพแบบเร็ว ให้เลือก v3.5-20260815 เวอร์ชันอื่นไม่รองรับคุณภาพนี้
delightไม่บังคับ
ประเภทboolean
ค่าเริ่มต้นtrue
ลบแสงที่ฝังมาออกก่อนทำเท็กซ์เจอร์โดยใช้ v3.5-20260815
auto_sizeไม่บังคับ
ประเภทboolean
ค่าเริ่มต้นfalse
ปรับขนาดอัตโนมัติเพื่อให้โมเดลมีขนาดจริงในโลกจริง โดยวัดเป็นเมตร
export_uvไม่บังคับ
ประเภทboolean
ค่าเริ่มต้นtrue
ควบคุมว่าจะสร้างพิกัด UV ให้โมเดลหรือไม่
export_orientationไม่บังคับ
ประเภทenum
+x-x-y+y
การตั้งค่าแกนเดินหน้าสำหรับการส่งออกโมเดล หากระบุ
quadไม่บังคับ
ประเภทboolean
ค่าเริ่มต้นfalse
โทโพโลยีเมชที่ใช้ควอดแทนสามเหลี่ยม
enable_safety_checkerไม่บังคับ
ประเภทboolean
ค่าเริ่มต้นtrue
สามารถผ่อนปรนการคัดกรองได้โดยตั้งค่าเป็น false หากผู้เรียกมีสิทธิ์
จำเป็น

เอาต์พุต

GET /requests/req_8k2m4q7x1z9c3v5b6n0p2r4t
{
  "id": "req_8k2m4q7x1z9c3v5b6n0p2r4t",
  "object": "request",
  "model": "tripo3d/p2/text-to-3d",
  "status": "succeeded",
  "created_at": "2026-10-20T12:00:00Z",
  "started_at": "2026-10-20T12:00:02Z",
  "completed_at": "2026-10-20T12:00:09Z",
  "queue_position": null,
  "cost": {
    "credits": 1100,
    "usd": "1.10",
    "charged": 1100,
    "refunded": 0
  },
  "input": {
    "prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field"
  },
  "output": {
    "model_mesh": {
      "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.jpeg",
      "content_type": "image/jpeg",
      "file_name": "0-output.jpeg",
      "file_size": 1843200
    },
    "model_urls": {
      "glb": {
        "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.jpeg",
        "content_type": "image/jpeg",
        "file_name": "0-output.jpeg",
        "file_size": 1843200
      },
      "fbx": {
        "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.jpeg",
        "content_type": "image/jpeg",
        "file_name": "0-output.jpeg",
        "file_size": 1843200
      },
      "base_model": {
        "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.jpeg",
        "content_type": "image/jpeg",
        "file_name": "0-output.jpeg",
        "file_size": 1843200
      },
      "pbr_model": {
        "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.jpeg",
        "content_type": "image/jpeg",
        "file_name": "0-output.jpeg",
        "file_size": 1843200
      }
    },
    "rendered_image": {
      "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.jpeg",
      "content_type": "image/jpeg",
      "file_name": "0-output.jpeg",
      "file_size": 1843200
    },
    "task_id": "string"
  },
  "outputs": [
    {
      "type": "file",
      "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.jpeg",
      "content_type": "image/jpeg",
      "file_size": 1843200,
      "stored": true
    }
  ],
  "error": null,
  "metrics": {
    "inference_seconds": 6.8
  },
  "urls": {
    "self": "https://api.doitong.com/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t",
    "cancel": "https://api.doitong.com/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t/cancel"
  }
}
ไฟล์ของคุณ คุณเลือกเองทุก outputs[].url คือสำเนาบนพื้นที่จัดเก็บของเรา: เก็บไว้ตลอดไป (คิดค่าบริการต่อ GB-เดือน) หรือฟรี 7 วัน โดยกำหนดได้ในการตั้งค่าบัญชีหรือ ?storage=
รูปแบบเดียวกันในทุกโมเดลtype, url, content_type, width, height และ duration สำหรับภาพ วิดีโอ และเสียงเหมือนกันทั้งหมด ส่วน output คือออบเจ็กต์ผลลัพธ์ของโมเดลเอง
ฟิลด์ของเอาต์พุต
model_mesh
object {url, content_type, file_name, file_size}ไฟล์ GLB หรือ FBX ที่มีโมเดล 3D ที่สร้างขึ้น โดยรูปแบบจะขึ้นอยู่กับสิ่งที่ Tripo สร้าง
model_urls
object {glb, fbx, base_model, pbr_model}URL ที่ชี้ไปยังเวอร์ชันอื่นของโมเดล 3D
rendered_image
object {url, content_type, file_name, file_size} | nullตัวอย่างภาพเรนเดอร์ที่แสดงโมเดล 3D ที่สร้างขึ้น
task_id
string | nullรหัสงาน Tripo ที่นำกลับมาใช้ใหม่ได้ ซึ่งระบุโมเดลที่สร้างขึ้นสำหรับ rig หรือ rig-check ทำให้ดำเนินการเหล่านั้นได้โดยไม่ต้องอัปโหลดโมเดลอีกครั้ง

โมเดลเพิ่มเติม: ข้อความเป็น 3D

สำหรับเอเจนต์ AI: หน้า Markdown นี้อยู่ที่ https://doitong.com/th/developers/models/tripo3d/p2/text-to-3d.md. โมเดลและคู่มือทั้งหมด: https://doitong.com/developers/llms.txt